[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# KeyToShortCut

Gets the short cut value for the specified key code and shift modifiers.

## Declaration

Source position: lcltype.pp line 3010

`function KeyToShortCut(`
`const Key: Word;`
`const Shift: TShiftState`
`):TShortCut;`

## Arguments

`Key` |  | Key code for the short cut value.
`Shift` |  | Shift, Ctrl, Alt, or Meta modifier for the short cut value.

## Function result

TShortCut value for the specified key code and shift modifier.

## Description

The return value is determined by combining the value in Key with the Shift, Ctrl, Alt, or Meta modifiers in Shift. The return value is 0 if any of the high-order bits in Key are already set.